function arrange(arg)

Graphs=findobj('UserData',['graph']);
%If there are no graphs, do nothing
if Graphs==[]
	return
end

NumGraphs=size(Graphs,1);
%-------------------------------------------------
%	Key
%
%10	Arrange the graphs
%20	Minimize the Graphs , Can't do this yet
%30	Close the Graphs





%**************************************************
if arg==10
%**************************************************

%This function arranges the graphs
%neatly on the screen


%To see if numgraphs is a perfect square
%If so, then it's easy
%If not, it will get messy...

if sqrt(NumGraphs)==round(sqrt(NumGraphs))
	Grws=sqrt(NumGraphs);
	Gclms=Grws;

else
	closest=NumGraphs;
	while sqrt(closest)~=round(sqrt(closest))
			closest=closest-1;
	end
	
Grws=sqrt(closest);
Gclms=Grws;
	while Grws*Gclms<NumGraphs
		Gclms=Gclms+1;
	end

end

%***************************************
%To compute the size of each figure

width=1/Gclms;
height=.86/Grws;
%---------------------------------------
%To place each graph on the screen
%The Grws:-1:1 helps to place the graphs in
%the order they were created.
i=1;
for r=Grws:-1:1
	BottomSpace(r)=(r-1)*height;

	for c=1:Gclms
		LeftSpace(c)=(c-1)*width;
		
		set(Graphs(i),'Units','normalized',...
			'Position',[ LeftSpace(c), BottomSpace(r)+.02,...
			width, height]);
		i=i+1;
		if i>NumGraphs
			return %It's over!
		end

	end
end
%***************************************
%***************************************

elseif arg==30
	delete (Graphs)
	return
end	%The end of all the elseifs...
	%Should be the last line of code


