wo=1000;
Hlp=in(0.5204,[1/wo^3 0.9884/wo^2 1.2973/wo 0.5204],'s');

figure('Name','Pol-nollstllediagram - Hlp(s)', ...
	'Position',[-2 2 804 562]);
pz(Hlp)
title('Pol-nollstllediagram till H_{LP}(s) - lgpassfiltret','verticalalign','baseline')
OHfigure2
pause

figure('Name','Amplitudspektrum - |Hlp(f)|', ...
	'Position',[-2 2 804 562]);
logspect(Hlp,350)
subplot(2,1,1)
title('Amplitudspektrum,  |H_{LP}(f)| dB','verticalalign','baseline')
ylabel('Frstrkning  (dB)')
xlabel('Frekvens  (Hz)        (\omega_0, \omega_s) = (1000, 2000) rad/s  =>  (f_0, f_s) = (159, 318) Hz')
currax=axis;
axis([currax(1:2) -30 5])
set(gca,'xtick',[0 50 100 159 200 250 318 350], ...
        'ytick',[-20 -3 0])

subplot(2,1,2)
ylabel('Frstrkning  (dB)')
xlabel('Frekvens  (Hz)        f_0=159 Hz,     f_{3dB} = 1.0949*f_0 = 174 Hz')
currax=axis;
axis([currax(1:2) -5 1])
set(gca,'xtick',[0 50 100 174 200], ...
        'ytick',[-5 -3 -1 0])
OHfigure2
drawnow

Hhp=in([1 0 0 0],[1 3.43e4 3.6e8 5e12],'s');
pause

figure('Name','Pol-nollstllediagram - Hhp(s)', ...
	'Position',[-2 2 804 562]);
pz(Hhp)
title('Pol-nollst.diagram till H_{HP}(s) - hgpassfiltret','verticalalign','baseline')
OHfigure2
pause

figure('Name','Amplitudspektrum - |Hlp(f)|', ...
	'Position',[-2 2 804 562]);
logspect(Hhp,5000)
subplot(2,1,1)
title('Amplitudspektrum,  |H_{HP}(f)| dB','verticalalign','baseline')
ylabel('Frstrkning  (dB)')
xlabel('Frekvens  (Hz)        (f_s, f_{3dB}) = (1095, 2000) Hz')
currax=axis;
axis([currax(1:2) -30 5])
set(gca,'xtick',[0 1095 2000 5000], ...
        'ytick',[-20 -3 0])

subplot(2,1,2)
ylabel('Frstrkning  (dB)')
xlabel('Frekvens  (Hz)        (f_{3dB}, f_0) = (2000, 2190) Hz')
currax=axis;
axis([currax(1:2) -5 1])
set(gca,'xtick',[0 1095 2190 5000], ...
        'ytick',[-5 -3 -1 0])
OHfigure2
