function polsigdem

global AX lw

  axesdef(5,'Pollacering med  signaltyp');
  uimenu('Label','            ');
  fom = uimenu('Label','Brja om !!');
  	uimenu(fom, 'Label','G till KRETSDEMO', 'callback','clf, kretsdemo(1)');
        uimenu(fom, 'Label','Pollacering - signaltyp igen', 'callback','polsigdem');

  
  axes(AX(1,1))
  p1=plot(-1,0,'xb','EraseMode','xor','MarkerSize',10,'linewidth',lw);	% En enkelpol i s=-1
  hold on
  p2=plot(-1,20,'xb','EraseMode','xor','MarkerSize',10,'linewidth',lw);	% Samma, men gomd
  plot([-5 2],[0 0],'k','linewidth',1)
  plot([0 0],[-10 10],'k','linewidth',1)
  axis([-4 1 -10 10])
  set(gca,'fontsize',14)
  title('Pol-konfiguration','fontsize',16)
  xl=xlabel('Enkelpol i s=-a','EraseMode','xor');
  grid on

  axes(AX(1,2))
  t=-1:.01:5;
  poletype = ['exp(x*t).*us(t)          '; ...
       	      'exp(x*t).*sin(y*t).*us(t)'];
  x=-1;
  handpl = plot(t,eval(poletype(1,:)),'b','EraseMode','xor','linewidth',lw);
  hold on
  plot([-1 5],[0 0],'k','linewidth',1)
  plot([0 0],[-2 2],'k','linewidth',1)
  axis([-1 5 -1.5 1.5])
  set(gca,'fontsize',14)
  sigtit=title('Signalkomponent, e^{-at}u(t)','fontsize',16,'EraseMode','xor');
  xlabel('Tid, t sek');
  grid on

  stoppanu=0;
  while ~stoppanu,
    axes(AX(1,1))
    w=waitforbuttonpress; 		% 0=> musknapp   1=>tangenttryck
    if ~w & gca==AX(1,1)
	pt=get(gca,'currentpoint');	% (x,y)=( pt(1,1), pt(1,2) )
	x=pt(1,1);
	y=pt(1,2);
	seltyp=get(gcf,'Selectiontype');
	if strcmp(seltyp,'normal')	% 'normal' => vanster musknapp
	   set(p1,'XData',x,'YData',0)
	   set(p2,'XData',x,'YData',20)
	   set(handpl,'YData',eval(poletype(1,:)))
	   set(AX(1,2),'Ylim',1.5*[-1 1])
	   set(xl,'string','Enkelpol i s=-a')
	   set(sigtit,'string','Signalkomponent, e^{-at}u(t)');
	elseif strcmp(seltyp,'alt')	% 'alt'    => hoger musknapp
	   set(p1,'XData',x,'YData',y)
	   set(p2,'XData',x,'YData',-y)
	   set(handpl,'YData',eval(poletype(2,:)))
	   set(AX(1,2),'Ylim',1*[-1 1])
	   set(xl,'string','Komplexkonjugerat polpar i s=-a\pm jw')
	   set(sigtit,'string','Signalkomponent, e^{-at}sin(wt)u(t)');
	   %axes(AX(1,2))
	   %plot([-1 5],[0 0],'k','linewidth',1)
 	end
    elseif w & gca==AX(1,1)		
	return		% Hoppa ur programmet
%	ch=get(gcf,'currentcharacter');	% = nedtryckt tangent OM w==1
%	if strcmp(ch,'q') | strcmp(ch,'Q')
%	  stoppanu=1;
%	end
    end
  end


% EXEMPEL PA HUR ANIMERING FUNGERAR:

% b=[0:9];
% M=moviein(length(b),gcf);
% for a=1:length(b)
%   	axes(AX(1,1)),
% 	H=addpo(in(1,1,'s'),-1+b(a)*j);
% 	pzmod(H),
% 	axis([-10 1 -10 10]),
% 	axes(AX(1,2)),
% 	h=ilaptrmod(H);
% 	hm=max(h);
% 	siplot(ampl(h,1/hm),10),
% 	axis([0 10 -1.1 1.1]),
% 	OHfigure2
% 
% 	M(:,a)=getframe(gcf);
% end
% 
% movie(gcf,M,2,2,[0 0 0 0])
% movie(gcf,M,-2,4,[0 0 0 0])