function windowdem(typ)

global WINTYP WINSTR

if nargin==0
  clf, typ='rect';WINSTR='Rektangulrt ';WINTYP=typ;end

flg=0;
if strcmp(typ,'rect'), winstr='Rektangulrt ';
  elseif strcmp(typ,'bart'), winstr='Bartlett';
  elseif strcmp(typ,'hamm'), winstr='Hamming';
  elseif strcmp(typ,'hann'), winstr='Hanning';
  elseif strcmp(typ,'blac'), winstr='Blackman';
  elseif strcmp(typ,'kais'), winstr='Kaiser';
  elseif strcmp(typ,'flat'), winstr='Flat top-';
  elseif strcmp(typ,'FIR-LP'), winstr=WINSTR;typ=WINTYP;flg=1;
end

WINTYP=typ;
WINSTR=winstr;
winlen=21;
w=window(in('1','n'),typ,winlen);
W=foutr(w);
W=W/max(abs(W));

if ~flg
logspect(W,W)
subplot(2,1,2)
title('Fnstrets normerade amplitudspektrum','verticalalignment','baseline')
xlabel('Normaliserad frekvens')
ylabel('Amplitud  (dB)')

subplot(2,1,1)
signalmod(w,winlen+4)
currax=axis;
axis([-4 winlen+4 currax(3:4)])
title([winstr 'fnster av lngd ' int2str(winlen)],'verticalalignment','baseline')
xlabel('n')
ylabel('')

else
  wfir=firwin(winlen,.2,typ);
  WFIR=foutr(wfir);
  logspect(WFIR,W);
  subplot(2,1,1)
  title('FIR-approximation: Lgpassfiltrets amplitudkaraktristik;  \Theta_0 = 0.2','verticalalignment','baseline')
  ylabel('Amplitud  (dB)')
  xlabel('')

  subplot(2,1,2)
title([winstr 'fnstrets normerade amplitudspektrum'],'verticalalignment','baseline')
xlabel('Normaliserad frekvens')
ylabel('Amplitud  (dB)')
end


OHfigure2


  uimenu('Label','            ');
  fom = uimenu('Label','G till KRETSDEMO2', 'callback','clf, kretsdemo2(1)');
 uimenu('Label','            ');
  winmen=uimenu('Label','VLJ FNSTERTYP !');
	uimenu(winmen,'Label','Rektangulrt','callback','windowdem rect');
	uimenu(winmen,'Label','Bartlett','callback','windowdem bart');
	uimenu(winmen,'Label','Hamming','callback','windowdem hamm');
	uimenu(winmen,'Label','Hanning','callback','windowdem hann');
	uimenu(winmen,'Label','Blackman','callback','windowdem blac');
	uimenu(winmen,'Label','Kaiser-Bessel','callback','windowdem kais');
	uimenu(winmen,'Label','Flat top','callback','windowdem flat');

	uimenu(winmen,'Label','  ');
	uimenu(winmen,'Label','Exempel p FIR-approximation till idealt LP-filter med normerad grnsfrekvens 0.2','callback','windowdem FIR-LP');
       