function faltdem

% Signalmanipuleringar

clear global AX legaxx legvx startbutt koll legaxy legvy xpl x1v x2v yv butt

global AX lw col1 col2 col3 x1v x2v yv legaxx legvx cols1 cols2 cols3 startbutt koll legaxy legvy bgcol 

axesdef(1,'Faltning');
  uimenu('Label','            ');
  fom = uimenu('Label','Brja om !!');
  	uimenu(fom, 'Label','G till KRETSDEMO', 'callback','clf, kretsdemo(1)');
        uimenu(fom, 'Label','Signalmanipulering igen', 'callback','faltdem');

set(AX(1,1),'fontsize',14);
set(AX(2,1),'fontsize',14);


% xlabel 'tau' utanfor axes AX(1,1):
axes('Units','normalized', ...
	'Position',[0.66 0.55 0.01 0.01], ...
	'visible','off');
txh=title('\tau');
set(txh,'FontSize',22,'visible','on');

% xlabel 't' utanfor axes AX(2,1):
% uicontrol('Units','points', ...
% 	'BackgroundColor', get(gcf,'color'), ...
% 	'FontName','helvetica', ...
% 	'FontSize',18, ...
% 	'Position',[394 33 20 18], ...
% 	'String','t', ...
% 	'Style','text');
%axes(AX(2,1))
%xlabel('Tid, t ( \tau fr x*h )')
% axis([-10 10 -10 10])
% grid


% x(tau) i blatt:	
axes('Units','normalized', ...
	'Position',[0.73 0.825 0.01 0.01], ...
	'visible','off');
tx1=title('x(t) ( x(\tau) ):');
set(tx1,'Color',col1, 'FontSize',18,'visible','on');

% h(tau) i rott:
axes('Units','normalized', ...
	'Position',[0.73 0.665 0.01 0.01], ...
	'visible','off');
tx2=title('h(t) ( h(\tau) ):');
set(tx2,'Color',col2, 'FontSize',18,'visible','on');

% y(t) i rott:
axes('Units','normalized', ...
	'Position',[0.69 0.33 0.01 0.01], ...
	'visible','off');
ty=title('y(t) :');
set(ty,'Color',col3, 'FontSize',18,'visible','on');
	

signaler='Vlj signal !|Smal puls|Bred puls|Hger-triangel|Vnster-triangel|Dubbelpuls|Hger exponentialfunktion|Vnster exponentialfunktion|Annan hger exponentialfkn|Sinus|Enhetssteget|Diracimpuls';

% Valj x(t):
x1v = uicontrol('Units','normalized', ...
	'FontSize',14, ...
	'Position',[0.66 0.78 0.32 0.064], ...
	'String',signaler, ...
	'Style','popupmenu', ...
	'callback','faltval(1)', ...
	'userdata',0);

% Valj h(t):
x2v = uicontrol('Units','normalized', ...
	'FontSize',14, ...
	'Position',[0.66 0.62 0.32 0.064], ...
	'String',signaler, ...
	'Style','popupmenu', ...
	'callback','faltval(2)', ...
	'userdata',0);

% Valj y(t):
yv = uicontrol('Units','normalized', ...
	'FontSize',14, ...
	'Position',[0.66 0.28 0.32 0.064], ...
	'String','Vlj manipulering !|Spegla & tidsfrskjut x( )|Spegla & tidsfrskjut h( )', ...
	'Style','popupmenu', ...
	'callback','faltval(3)', ...
	'userdata',0);

axes(AX(1,1))

xp=plot(0,20,cols1);
set(AX(1,1),'fontsize',14)
set(xp,'linewidth',lw);
hold on
%grid on

xp=plot(0,20,cols2);
set(xp,'linewidth',lw);

xp=plot(0,20,cols1);
set(xp,'linewidth',lw);

axis([-10 10 -1.1 1.1])
set(AX(1,1),'xtick',-10:2:10);
%[legaxx legvx]=legend('x(\tau)','h(\tau)','x(h)(t-\tau)',1);
[legaxx legvx]=legend('x(\tau)','h(\tau)','',1);
	set(legvx(1,2),'color',cols1,'fontsize',13)
	set(legvx(2,2),'color',cols2,'fontsize',13)
	set(legvx(3,2),'color',cols1,'fontsize',13) 
	set(legvx(3,1),'visible','off')	% Den speglade syns forst EJ i legend
	set(legaxx,'visible','off')

set(AX(1,1),'fontsize',14)

% Gor forst legvx(3,1:2) osynlig och plotta x(tau) med linewidth = lw
% Vid tryck pa pushbutton 'Spegla' sa ritas x(tau) med linewidth = lw-2
% och x(t-tau) med lw. Samtidigt blir legvx(3,1:2) synlig .... osv


koll='000';	% Koll(1)=1 => x vald
		% Koll(2)=1 => h vald
		% Koll(3)=1 => Signalmanipulering vald

axes(AX(2,1))

yp=plot(0,21,cols1);
set(yp,'linewidth',lw/2);
%grid on
hold on
yp=plot(0,20,cols2);
set(yp,'linewidth',lw);
set(AX(2,1),'fontsize',14)
axis([-10 10 -1.1 1.1])
set(AX(2,1),'xtick',-10:2:10);
[legaxy legvy]=legend('xh','y(t)',1);
	set(legvy(1,1),'visible','off')
	set(legvy(1,2),'color',cols1,'fontsize',13,'visible','off')
	set(legvy(2,2),'color',cols2,'fontsize',13)
	set(legaxy,'visible','off')
xlabel('Tid, t ( \tau fr x\cdot h )')












