function stabilex(val)

% Illustrering av tentatal 961016(?), uppgift 5: Stabiltet & Kausalitet
%
% Lasse Alfredsson

global AX K2SLIDER EDK1 EDK2 POLER NOLLOR MULTIPL PPOLY POLEHAND ZEROHAND K1 K2

minK2=-2;
maxK2=8;

if nargin==0
  axesdef(9,'Stabilitets- och Kausalitetsexempel');
    uimenu('Label','            ');
    fom = uimenu('Label','Brja om !!');
    	uimenu(fom, 'Label','G till KRETSDEMO', 'callback','clf, kretsdemo(1)');
        uimenu(fom, 'Label','Stabilitetsexemplet igen', 'callback','stabilex');
        uimenu(fom, 'Label','Plotta s(s+1)(s+2) = p(s) med K_2=0 fr reella vrden p s', 'callback','figure(''Name'',''p(s) fr reella s'',''Position'',[-2 2 804 562]); s=-2.5:.1:0.5; plot(s,s.^3+3*s.^2+2*s),title(''p(\sigma) = \sigma(\sigma+1)(\sigma+2) = \sigma^3+3\sigma^2+2\sigma, dr \sigma = realdelen av s=\sigma + j\omega''), xlabel(''\sigma''), grid, OHfigure2');
        uimenu(fom, 'Label','Deluppgift b): K_1=2, K_2=0 - Rita pol-nollstllediagram och skissera amplitudkaraktristik. Vilken faskaraktristik r korrekt?', 'callback','pzchange(in([1 0 1 0 0],[1 4 5.5 3.5 1 0],''s''))');

 K2SLIDER=uicontrol('style','slider','units','normal', ...
	'pos',[0.91 0.3 0.028 0.4], ...	
	'sliderstep',[0.02 0.1],'min',minK2,'max',maxK2,'value',1, ...
	'userdata','','callback','stabilex(''slider'')');
  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',14, ...
	'Position',[0.885 0.31 0.02 0.04], ...
	'String',int2str(minK2), ...
	'Style','text');
  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',14, ...
	'Position',[0.885 0.3+0.35 0.02 0.04], ...
	'String',int2str(maxK2), ...
	'Style','text');

  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',14, ...
	'Position',[0.82 0.73 0.15 0.04], ...
	'String','ndra K  :', ...
	'Style','text');
  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',12, ...
	'Position',[0.93 0.73 0.01 0.025], ...
	'String','2', ...
	'Style','text');
EDK2=uicontrol('Units','normal', ...
	'FontSize',14, ...
	'Position',[0.83 0.5 0.07 0.05], ...
	'String','1', ...
	'Style','edit', ...
	'callback','stabilex(''editK2'')');

EDK1=uicontrol('Units','normal', ...
	'FontSize',14, ...
	'Position',[0.03 0.65 0.05 0.05], ...
	'String','2', ...
	'Style','edit', ...
	'callback','stabilex(''editK1'')');
  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',14, ...
	'Position',[0.01 0.73 0.15 0.04], ...
	'String','ndra K  :', ...
	'Style','text');
  uicontrol('Units','normal', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',12, ...
	'Position',[0.12 0.73 0.01 0.025], ...
	'String','1', ...
	'Style','text');

  uicontrol('Units','normal', ...
	'FontSize',14, ...
	'Position',[0.03 0.03 0.1 0.05], ...
	'String','rotort', ...
	'Style','pushbutton', ...
	'callback','load stabilex, [rw, cl]=size(po); for a=1:rw, for b=1:cl, plot(real(po(a,b)),imag(po(a,b)),''.r'',''markersize'',1),end,end');

% 'po=[];k2=-2:.01:8; for a=1:length(k2), pol=roots([1 3 2 k2(a)]); for b=1:3, po(b,a)=pol(b);plot(real(pol(b)),imag(pol(b)),''.r'',''markersize'',1),end,end,save stabilex po');

  PPOLY=[1 3 2 1];
  PPOLER=roots(PPOLY);
  plot(0, 1,'ob','EraseMode','xor','Markersize',6)
  hold on
  plot(0,-1,'ob','EraseMode','xor','Markersize',6)
  ZEROHAND=plot(0,0,'ob','EraseMode','xor','Markersize',6);
  MULTIPL= text(0,0,[' (2)'],'color','b','EraseMode','xor');

  plot(-0.5,0.5,'xr','EraseMode','xor','Markersize',8)
  plot(-0.5,-0.5,'xr','EraseMode','xor','Markersize',8)
  for a=1:length(PPOLER)	% =1:3 har
	POLEHAND(a)=plot(real(PPOLER(a)),imag(PPOLER(a)),'xr','EraseMode','xor','Markersize',8);
  end
  axis square
  axis([-3.2 0.5 -2 2])
  grid
  tith=title('Systemfkn:en = s^{K_1}(s^2+1)/p(s)(s^2+s+0.5), dr p(s) = s(s+1)(s+2) + K_2 = s^3+3s^2+2s+K_2');
  set(tith,'vertical','baseline')
  OHfigure2

  K1=2; K2=1;

else
 

  if strcmp('editK1',val)
	K1num=str2num(get(EDK1,'string'));
	K1=round(K1num);		% K1 ar heltal
	if K1num~=K1, set(EDK1,'string',int2str(K1)), end

  elseif strcmp('editK2',val)
	K2=str2num(get(EDK2,'string'));
	if K2>maxK2, K2=maxK2, set(EDK2,'string',num2str(K2)); end
	if K2<minK2, K2=minK2, set(EDK2,'string',num2str(K2)); end
	set(K2SLIDER,'value',K2)

  elseif strcmp('slider',val)
	K2=get(K2SLIDER,'value');
	set(EDK2,'string',num2str(K2))
  end
  
  PPOLY=[1 3 2 K2];
  PPOLER=roots(PPOLY);
  for a=1:length(PPOLER)	% =1:3 har
	set(POLEHAND(a),'XData',real(PPOLER(a)),'YData',imag(PPOLER(a)),'visible','on');
  end
  if ~isempty(find(PPOLER==0))	% pol i s=0
	K1=K1-1;		% Ett nollst. tas ut av en pol
	if K1==0;
		set(MULTIPL,'visible','off')
		set(ZEROHAND,'visible','off')
		pospol=find(PPOLER==0);
		set(POLEHAND(pospol),'visible','off')
	elseif K1>0		% >0 nollor i origo
		if K1>1,
		set(MULTIPL,'visible','on','string',[' (' int2str(K1) ') '],'color','b')
		else
		set(MULTIPL,'visible','off')
		end
		pospol=find(PPOLER==0);
		set(POLEHAND(pospol),'visible','off')
		set(ZEROHAND,'visible','on')
	else			% K1<0 nollor, dvs >0 poler i origo
		if K1<-1,
		    set(MULTIPL,'visible','on','string',[' (' int2str(-K1) ') '],'color','r')
		else
		set(MULTIPL,'visible','off')
		end
		set(ZEROHAND,'visible','off')
	end
  else				% INGEN pol i origo
	if K1==0;
		set(MULTIPL,'visible','off')
		set(ZEROHAND,'visible','off')
	elseif K1>0		% >0 nollor i origo
		if K1>1,
		set(MULTIPL,'visible','on','string',[' (' int2str(K1) ') '],'color','b')
		else
		set(MULTIPL,'visible','off')
		end
		set(ZEROHAND,'visible','on')
	else			% K1<0 nollor, dvs >0 poler i origo
		if K1<-1,
		set(MULTIPL,'visible','on','string',[' (' int2str(-K1) ') '],'color','r')
		else
		set(MULTIPL,'visible','off')
		end
		set(ZEROHAND,'visible','on')
	end
  end
  if K1<0
	set(ZEROHAND,'marker','x','color','r','markersize',8)
  else
	set(ZEROHAND,'marker','o','color','b','markersize',6)
  end
  K1=str2num(get(EDK1,'string'));
		


end
